Problem with broken package wine i386

levalsac

New Member
Joined
Dec 18, 2020
Messages
4
Reaction score
0
Credits
52
Hi Guys,

I hope you can help me with this problem.
I got the following notification in the package manager on Ubuntu 20.04

-------
Broken dependencies Package -> wine:i386 Installed Version -> 1:16.5-0ubuntu14 Description -> Microsoft Windows Compatibiliity Layer (meta-package)
--------

And then I tried to update and upgrade my system but there is an error

------
You might want to run 'apt --fix-broken install' to correct these
The following packages have unmet dependencies:
wine:i386 : Depends: wine1.6:i386
-----

I tried the suggested command but there are some errors at the output

-----
Do you want to continue? [Y/n]
(Reading database ... 304384 files and directories currently installed.)
Preparing to unpack .../wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6-i386:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0u
buntu14_i386.deb (--unpack):
trying to overwrite '/usr/lib/i386-linux-gnu/wine/jscript.dll.so', which is als
o in package libwine:i386 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
YPreparing to unpack .../wine1.6_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu
14_i386.deb (--unpack):
trying to overwrite '/usr/share/wine/fonts/wingding.ttf', which is also in pack
age fonts-wine 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb ...
Unpacking libp11-kit-gnome-keyring:i386 (3.18.3-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libp11-kit-gnome-keyring_
3.18.3-0ubuntu2_i386.deb (--unpack):
trying to overwrite '/usr/share/p11-kit/modules/gnome-keyring.module', which is
also in package gnome-keyring-pkcs11:amd64 3.36.0-1ubuntu1
Preparing to unpack .../libpng12-0_1.2.54-1ubuntu1_i386.deb ...
Unpacking libpng12-0:i386 (1.2.54-1ubuntu1) ...
dpkg: error processing archive /var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu
1_i386.deb (--unpack):
unable to install new version of '/usr/lib/i386-linux-gnu/libpng12.so.0': No su
ch file or directory
No apport report written because MaxReports is reached already
Errors were encoun
tered while processing:
/var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb
/var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu14_i386.deb
/var/cache/apt/archives/libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb
/var/cache/apt/archives/libpng12-0_1.2.54-1ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
-----
 


KGIII

Super Moderator
Staff member
Gold Supporter
Joined
Jul 23, 2020
Messages
4,060
Reaction score
3,733
Credits
32,598
I am going through posts with no answer. I have a few minutes.

Someone more fluent in WINE may come along, but have you run this in the terminal:

sudo dpkg --add-architecture i386

Try that and then proceed.
 
OP
L

levalsac

New Member
Joined
Dec 18, 2020
Messages
4
Reaction score
0
Credits
52
I am going through posts with no answer. I have a few minutes.

Someone more fluent in WINE may come along, but have you run this in the terminal:

sudo dpkg --add-architecture i386

Try that and then proceed.

Good night KGIII,

Thanks for your advice, y execute that command but with the same result

Code:
[email protected]:~$ sudo dpkg --add-architecture i386
[sudo] password for levalsac:
[email protected]:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 wine:i386 : Depends: wine1.6:i386
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
[email protected]:~$
 

KGIII

Super Moderator
Staff member
Gold Supporter
Joined
Jul 23, 2020
Messages
4,060
Reaction score
3,733
Credits
32,598
Did you try the apt --fix-broken install, as recommended?

You may need to undo the wine install, run the add-architecture command, and *then* install WINE.

I am so grateful that I have no need for Windows-only software.
 
OP
L

levalsac

New Member
Joined
Dec 18, 2020
Messages
4
Reaction score
0
Credits
52
Did you try the apt --fix-broken install, as recommended?

You may need to undo the wine install, run the add-architecture command, and *then* install WINE.

I am so grateful that I have no need for Windows-only software.

Yes KGill I did run the fix-broken install

Code:
[email protected]:~$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  wine-stable wine-stable-amd64 wine-stable-i386:i386
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libp11-kit-gnome-keyring libp11-kit-gnome-keyring:i386 wine1.6 wine1.6-amd64
  wine1.6-i386:i386
Suggested packages:
  dosbox:any winbind
Recommended packages:
  fonts-droid wine-gecko2.21 wine-mono0.0.8 libpng12-0:i386
  wine-gecko2.21:i386 wine-mono0.0.8:i386
The following NEW packages will be installed:
  libp11-kit-gnome-keyring libp11-kit-gnome-keyring:i386 wine1.6 wine1.6-amd64
  wine1.6-i386:i386
0 upgraded, 5 newly installed, 0 to remove and 3 not upgraded.
14 not fully installed or removed.
Need to get 0 B/32,6 MB of archives.
After this operation, 246 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 307077 files and directories currently installed.)
Preparing to unpack .../wine1.6-amd64_1%3a1.6.2-0ubuntu14_amd64.deb ...
Unpacking wine1.6-amd64 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6-amd64_1%3a1.6.2-0
ubuntu14_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/wine/olecli32.dll.so', which is
also in package libwine:amd64 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb ...
Unpacking wine1.6-i386:i386 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0u
buntu14_i386.deb (--unpack):
 trying to overwrite '/usr/lib/i386-linux-gnu/wine/jscript.dll.so', which is als
o in package libwine:i386 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../wine1.6_1%3a1.6.2-0ubuntu14_amd64.deb ...
Unpacking wine1.6 (1:1.6.2-0ubuntu14) ...
dpkg: error processing archive /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu
14_amd64.deb (--unpack):
 trying to overwrite '/usr/share/wine/fonts/vgas1257.fon', which is also in pack
age fonts-wine 5.0-3ubuntu1
dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)
Preparing to unpack .../libp11-kit-gnome-keyring_3.18.3-0ubuntu2_amd64.deb ...
Unpacking libp11-kit-gnome-keyring:amd64 (3.18.3-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libp11-kit-gnome-keyring_
3.18.3-0ubuntu2_amd64.deb (--unpack):
 trying to overwrite '/usr/share/p11-kit/modules/gnome-keyring.module', which is
 also in package gnome-keyring-pkcs11:amd64 3.36.0-1ubuntu1
No apport report written because MaxReports is reached already
                                                              Preparing to unpac
k .../libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb ...
Unpacking libp11-kit-gnome-keyring:i386 (3.18.3-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libp11-kit-gnome-keyring_
3.18.3-0ubuntu2_i386.deb (--unpack):
 trying to overwrite '/usr/share/p11-kit/modules/gnome-keyring.module', which is
 also in package gnome-keyring-pkcs11:amd64 3.36.0-1ubuntu1
No apport report written because MaxReports is reached already
                                                              Errors were encoun
tered while processing:
 /var/cache/apt/archives/wine1.6-amd64_1%3a1.6.2-0ubuntu14_amd64.deb
 /var/cache/apt/archives/wine1.6-i386_1%3a1.6.2-0ubuntu14_i386.deb
 /var/cache/apt/archives/wine1.6_1%3a1.6.2-0ubuntu14_amd64.deb
 /var/cache/apt/archives/libp11-kit-gnome-keyring_3.18.3-0ubuntu2_amd64.deb
 /var/cache/apt/archives/libp11-kit-gnome-keyring_3.18.3-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

And I tried to install wine after that

Code:
[email protected]:~$ sudo apt install wine64 wine32
Reading package lists... Done
Building dependency tree       
Reading state information... Done
wine64 is already the newest version (5.0-3ubuntu1).
wine32:i386 is already the newest version (5.0-3ubuntu1).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 wine : Depends: wine1.6
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

But with the same result, getting errors...

As a matter of fact I can't install any app or package because of that error
 

KGIII

Super Moderator
Staff member
Gold Supporter
Joined
Jul 23, 2020
Messages
4,060
Reaction score
3,733
Credits
32,598
You have managed to well and truly hose your package manager.

I don't suppose you have a backup?

Anyhow, try purging wine32 and wine64, fix-missing, and see if you can then do a regular sudo apt update.

I have to be busy for the rest of the night, so hopefully this is back up near the top and others will step in. I'll try to check in, but I make no promises.
 

Lord Boltar

Well-Known Member
Joined
Nov 24, 2020
Messages
1,006
Reaction score
648
Credits
7,448
First you need to purge your current Wine
Code:
sudo apt-get remove --autoremove wine-stable wine-stable-amd64

If your system is 64 bit, you first need to enable the 32 bit architecture - run

Code:
sudo dpkg --add-architecture i386

Download the official Wine repository key and add it:

Code:
wget -qO - https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -

You will now need to install libfaudio0 it is required for Wine 5

Code:
sudo apt install libfaudio0

Now use this command to add repository:

Code:
sudo apt-add-repository "deb https://dl.winehq.org/wine-builds/ubuntu $(lsb_release -cs) main"

Now that you have added the correct repository, you can install Wine 5.0 using this command:

Code:
sudo apt update && sudo apt install --install-recommends winehq-stable

After it has finished installing we need to configure WINE - run -

Code:
winecfg

This will install Wine Grecko and Wine Mono after this is done you are now finished with the
installation. Only one last thing to do you will need to associate the ".exe" file extension to the WINE installer - simply right click the ".exe" file and select Properties, now select the "Open With" drop down tab and select "Wine Windows Program Loader"
 
OP
L

levalsac

New Member
Joined
Dec 18, 2020
Messages
4
Reaction score
0
Credits
52
First you need to purge your current Wine
Code:
sudo apt-get remove --autoremove wine-stable wine-stable-amd64

If your system is 64 bit, you first need to enable the 32 bit architecture - run

Code:
sudo dpkg --add-architecture i386

Download the official Wine repository key and add it:

Code:
wget -qO - https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -

You will now need to install libfaudio0 it is required for Wine 5

Code:
sudo apt install libfaudio0

Now use this command to add repository:

Code:
sudo apt-add-repository "deb https://dl.winehq.org/wine-builds/ubuntu $(lsb_release -cs) main"

Now that you have added the correct repository, you can install Wine 5.0 using this command:

Code:
sudo apt update && sudo apt install --install-recommends winehq-stable

After it has finished installing we need to configure WINE - run -

Code:
winecfg

This will install Wine Grecko and Wine Mono after this is done you are now finished with the
installation. Only one last thing to do you will need to associate the ".exe" file extension to the WINE installer - simply right click the ".exe" file and select Properties, now select the "Open With" drop down tab and select "Wine Windows Program Loader"

Good night Lord Boltar,

Thanks for your help

I executed the commands you posted but I have plenty of errors

Code:
[email protected]:~$ sudo apt-get remove --autoremove wine-stable wine-stable-amd64
Reading package lists... Done
Building dependency tree... 50%
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 wine : Depends: wine1.6
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
[email protected]:~$
[email protected]:~$ sudo dpkg --add-architecture i386
[email protected]:~$ wget -qO - https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -
OK
[email protected]:~$ sudo apt install libfaudio0
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libfaudio0 is already the newest version (20.04-2).
libfaudio0 set to manually installed.
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 wine : Depends: wine1.6
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
[email protected]:~$ sudo apt-add-repository "deb https://dl.winehq.org/wine-builds/ubuntu $(lsb_release -cs) main"
Hit:1 https://brave-browser-apt-release.s3.brave.com stable InRelease
Hit:2 https://repo.skype.com/deb stable InRelease                             
Hit:3 https://dl.winehq.org/wine-builds/ubuntu groovy InRelease               
Ign:4 https://dl.winehq.org/wine-builds/ubuntu fossa InRelease                 
Get:5 https://dl.winehq.org/wine-builds/ubuntu focal InRelease [6.257 B]       
Err:6 https://dl.winehq.org/wine-builds/ubuntu fossa Release                   
  404  Not Found [IP: 199.232.50.217 443]
Hit:7 http://packages.microsoft.com/repos/vscode stable InRelease             
Hit:8 http://archive.canonical.com/ubuntu focal InRelease                     
Hit:9 https://deb.opera.com/opera-stable stable InRelease                     
Ign:10 http://linux.dropbox.com/ubuntu disco InRelease                         
Hit:11 http://us.archive.ubuntu.com/ubuntu xenial InRelease                   
Get:12 http://linux.dropbox.com/ubuntu disco Release [6.598 B]                 
Hit:13 http://downloads-global.3cx.com/downloads/debian stretch-testing InRelease
Hit:14 http://downloads-global.3cx.com/downloads/debian stretch InRelease     
Hit:15 https://packages.microsoft.com/repos/ms-teams stable InRelease         
Hit:16 https://download.sublimetext.com apt/stable/ InRelease                 
Hit:17 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal InRelease     
Hit:18 http://repository.spotify.com stable InRelease                         
Get:19 https://download.wavebox.app/stable/linux/deb amd64/ InRelease [1.775 B]
Hit:21 http://ppa.launchpad.net/linuxuprising/libpng12/ubuntu focal InRelease 
Hit:22 http://mirrors.ocf.berkeley.edu/ubuntu focal InRelease                 
Hit:23 http://mirrors.ocf.berkeley.edu/ubuntu focal-updates InRelease         
Get:24 https://dl.winehq.org/wine-builds/ubuntu focal/main i386 Packages [135 kB]
Get:25 https://dl.winehq.org/wine-builds/ubuntu focal/main amd64 Packages [134 kB]
Hit:26 http://mirrors.ocf.berkeley.edu/ubuntu focal-backports InRelease       
Hit:27 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease     
Hit:28 http://mirrors.ocf.berkeley.edu/ubuntu focal-security InRelease         
Hit:20 https://packagecloud.io/slacktechnologies/slack/debian jessie InRelease
Hit:29 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu focal InRelease
Hit:31 http://ppa.launchpad.net/photoflare/photoflare-stable/ubuntu focal InRelease
Hit:32 http://ppa.launchpad.net/slimbook/slimbook/ubuntu focal InRelease
Hit:33 http://ppa.launchpad.net/teejee2008/ppa/ubuntu focal InRelease
Hit:34 http://ppa.launchpad.net/umang/indicator-stickynotes/ubuntu focal InRelease
Reading package lists... Done
E: The repository 'https://dl.winehq.org/wine-builds/ubuntu fossa Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
[email protected]:~$ sudo apt update && sudo apt install --install-recommends winehq-stable
Hit:1 http://downloads-global.3cx.com/downloads/debian stretch-testing InRelease
Hit:2 http://downloads-global.3cx.com/downloads/debian stretch InRelease       
Hit:3 https://brave-browser-apt-release.s3.brave.com stable InRelease         
Hit:4 https://dl.winehq.org/wine-builds/ubuntu groovy InRelease               
Hit:5 https://deb.opera.com/opera-stable stable InRelease                     
Ign:6 https://dl.winehq.org/wine-builds/ubuntu fossa InRelease                 
Hit:7 https://dl.winehq.org/wine-builds/ubuntu focal InRelease                 
Err:8 https://dl.winehq.org/wine-builds/ubuntu fossa Release                   
  404  Not Found [IP: 199.232.50.217 443]
Hit:9 http://packages.microsoft.com/repos/vscode stable InRelease             
Hit:10 https://repo.skype.com/deb stable InRelease                             
Hit:11 http://us.archive.ubuntu.com/ubuntu xenial InRelease                   
Hit:12 http://repository.spotify.com stable InRelease                         
Hit:13 http://mirrors.ocf.berkeley.edu/ubuntu focal InRelease                 
Hit:14 http://mirrors.ocf.berkeley.edu/ubuntu focal-updates InRelease         
Hit:15 http://archive.canonical.com/ubuntu focal InRelease                     
Hit:16 https://packages.microsoft.com/repos/ms-teams stable InRelease         
Ign:17 http://linux.dropbox.com/ubuntu disco InRelease                         
Get:18 http://linux.dropbox.com/ubuntu disco Release [6.598 B]                 
Hit:19 http://mirrors.ocf.berkeley.edu/ubuntu focal-backports InRelease       
Get:21 https://download.wavebox.app/stable/linux/deb amd64/ InRelease [1.775 B]
Hit:22 https://download.sublimetext.com apt/stable/ InRelease                 
Hit:23 http://mirrors.ocf.berkeley.edu/ubuntu focal-security InRelease         
Hit:20 https://packagecloud.io/slacktechnologies/slack/debian jessie InRelease
Hit:25 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal InRelease
Hit:26 http://ppa.launchpad.net/linuxuprising/libpng12/ubuntu focal InRelease
Hit:27 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease
Hit:28 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu focal InRelease   
Hit:29 http://ppa.launchpad.net/photoflare/photoflare-stable/ubuntu focal InRelease
Hit:30 http://ppa.launchpad.net/slimbook/slimbook/ubuntu focal InRelease       
Hit:31 http://ppa.launchpad.net/teejee2008/ppa/ubuntu focal InRelease         
Hit:32 http://ppa.launchpad.net/umang/indicator-stickynotes/ubuntu focal InRelease
Reading package lists... Done                                                 
E: The repository 'https://dl.winehq.org/wine-builds/ubuntu fossa Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
[email protected]:~$ winecfg
winecfg: command not found
[email protected]:~$
 

Lord Boltar

Well-Known Member
Joined
Nov 24, 2020
Messages
1,006
Reaction score
648
Credits
7,448
Open Software and Updates on the tab Ubuntu Software make sure under Downloadable from the Internet that the first 4 blocks have check marks in them should look like this
1.png


Then click on Other Software tab and make sure Canonical Partners is checked and
https://dl.winehq.org/wine-builds/ubuntu focal main
Also if you have any more wine listings other then the one listed above remove them or at least uncheck them - you will be required to enter your password to do this then click close it should refresh your cache. Once done open the terminal and run
Code:
sudo apt update
Code:
sudo apt upgrade
Code:
sudo apt install --install-recommends wine-stable
I am thinking one of those is not checked and therefore you cannot get the dependencies.
 
Last edited:
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Members online


Top